
#ifndef __OLED__H
#define __OLED__H

#include "bsp_oled.h"
#include <stdlib.h>

#define BUTTON_PRESSED  0
#define BUTTON_LEFT     847
#define BUTTON_RIGHT    1730
#define BUTTON_UP       2457
#define BUTTON_DOWN     3280
#define BUTTON_STATIC   4090
#define BUTTON_RANGE    128 

typedef enum {
	B_DOWN,
	B_LEFT,
	B_RIGHT,
	B_UP,
	B_PRESSED,
	B_STATIC,
	B_ERROR,
} oled_button_val_t;

//Fonctions avec le boutton
oled_button_val_t oled_button_val(void);
void oled_print_button(uint8_t row, uint8_t col);

#endif
